This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 426594 - Review Request: wklej - A wklej.org submitter
Review Request: wklej - A wklej.org submitter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On: 426598
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-22 13:27 EST by Rafał Psota
Modified: 2008-01-21 14:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 14:16:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rafał Psota 2007-12-22 13:27:06 EST
Spec URL: http://rafalzaq.nonlogic.org/fedora/wklej/wklej.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/wklej/wklej-0.0.9-1.fc8.src.rpm
Description: A wklej.org submitter.
Comment 1 manuel wolfshant 2007-12-22 13:38:25 EST
I've noticed that you have included in the rpm the GPLv2+ license (which is
indeed the one used by the .pl ). But unless you persuade wklej.org to include
it, your decision violates
http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#head-90d644ce2c5db60bad3ba8773fe11653c7629dc3
Comment 2 Rafał Psota 2007-12-22 14:37:10 EST
wklej uses Config::Simple perl module which is not present in repo. I'll upload
that package soon.
Comment 3 Rafał Psota 2007-12-22 19:05:42 EST
I'll contact with upstream. 
External COPYING file has been removed.

Spec URL: http://rafalzaq.nonlogic.org/fedora/wklej/wklej.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/wklej/wklej-0.0.9-2.fc8.src.rpm
Comment 4 Rafał Psota 2008-01-19 10:33:40 EST
Could someone review this package?
Comment 5 manuel wolfshant 2008-01-19 19:59:54 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:  W: no-documentation
--> the source itself has no documentation
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [ x License field in the package spec file matches the actual license.
     License type:GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: d6fe3718c0cceb3e80d64d1a9a121240c67ec99d wklej-0.0.9.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [-] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [x] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on:devel/x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     The package only includes a noarch Perl script
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.


=== Issues ===
1. The timestamp of the source is not preserved. Please add "-p" to the install line


Please fix the above issue and I will approve your package
Comment 7 manuel wolfshant 2008-01-19 21:26:47 EST
APPROVED
Comment 8 Rafał Psota 2008-01-20 08:51:08 EST
Thanks for the review!



New Package CVS Request
=======================
Package Name: wklej
Short Description: A wklej.org submitter
Owners: rafalzaq
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-01-20 13:36:48 EST
cvs done.
Comment 10 Rafał Psota 2008-01-21 14:16:07 EST
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.